Creates a CSV file download for accesspoints based on the batchID of the initial CSV file upload

POST /users/batches/{batchId}/accesspoints/file

Operation id: AccesspointService_GetAccesspointsFromCsvToFile

Description

Permission Level: Read

Tags: AccesspointService

Parameters

Path parameters

NameTypeRequiredDescription
batchIdstringYesbatch_id of the accesspoints to be downloaded, Required: true

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.(streaming responses)

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    }
  }
}

Response models

200 — A successful response.(streaming responses)

Content type: application/json

Schema

PropertyTypeRequiredDescription
resultobjectNo
errorobjectNo
{
  "type": "object",
  "properties": {
    "result": {
      "type": "object",
      "properties": {
        "data": {
          "type": "string",
          "format": "byte"
        }
      }
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "message": {
          "type": "string"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "@type": {
                "type": "string"
              }
            }
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}